Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.datamodel
Interface Feature

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Locatable, Persistent, java.io.Serializable

All Known Subinterfaces:
  AlleleFeature, DnaDnaAlignFeature, DnaDnaAlignment, DnaProteinAlignment, Exon, FeaturePair, Gene, LDFeature, MarkerFeature, MiscFeature, OligoFeature, PredictionExon, PredictionTranscript, QtlFeature, RepeatFeature, SimpleFeature, Transcript, VariationFeature, VariationGroupFeature

All Known Implementing Classes:
  org.ensembl.datamodel.impl.BaseFeatureImpl

public interface Feature
extends Locatable

Simple genomic feature.

Method Summary
`Analysis` | `getAnalysis()` Get the analysis that created this feature.
`long` | `getAnalysisID()` Get analysisID of the analysis that created this feature.
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDisplayName()`
`void` | `setAnalysis(Analysis analysis)` Set the analysis that created this feature.
`void` | `setAnalysisID(long analysisID)` Set the analysisID of the analysis that created this feature.
`void` | `setDescription(java.lang.String description)`
`void` | `setDisplayName(java.lang.String displayName)`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getAnalysis

    public Analysis getAnalysis()

  Get the analysis that created this feature.

### getAnalysisID

    public long getAnalysisID()

  Get analysisID of the analysis that created this feature.

  Returns:
    internal ID of the analysis that created this feature.
  See Also:
    `getAnalysis()`

### setAnalysisID

    public void setAnalysisID(long analysisID)

  Set the analysisID of the analysis that created this feature.

  Parameters:
    `analysisID` - internalID of the analysis that created this feature.
  See Also:
    `setAnalysis(Analysis)`

### setAnalysis

    public void setAnalysis(Analysis analysis)

  Set the analysis that created this feature.

  Parameters:
    `analysis` - analysis that created this feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD